### Method

# Gtk SingleSelectionset_can_unselect

#### Declaration [src]

    void
    gtk_single_selection_set_can_unselect (
      GtkSingleSelection* self,
      gboolean can_unselect
    )

#### Description [src]

If `TRUE`, unselecting the current item via `gtk_selection_model_unselect_item()` is supported.

Note that setting `GtkSingleSelection:autoselect` will cause unselecting to not work, so it practically makes no sense to set both at the same time the same time.

Sets property | `Gtk.SingleSelection:can-unselect`

#### Parameters

`can_unselect`

  Type: `gboolean`

  `TRUE` to allow unselecting.